stats 0.2.0+2

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 64

Build Status Pub

import 'package:stats/stats.dart';

main() {
  var input = [1, 2, 3, 4, 5, 6, 7, 8];
  print("Input: $input");
  var stats = Stats.fromData(input);
  // {count: 8, mean: 4.5, median: 4.5, max: 8, min: 1, standardDeviation: 2.29}
  print(stats.withPrecision(3));
}

0.2.0+2

  • Support latest package:json_annotation.

0.2.0+1

  • Fix readme.

0.2.0

  • Initial release.

example/example.dart

import 'package:stats/stats.dart';

main() {
  var input = [1, 2, 3, 4, 5, 6, 7, 8];
  print("Input: $input");
  var stats = Stats.fromData(input);
  // {count: 8, mean: 4.5, median: 4.5, max: 8, min: 1, standardDeviation: 2.29}
  print(stats.withPrecision(3));
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  stats: ^0.2.0+2

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:stats/stats.dart';
  
Version Uploaded Documentation Archive
0.2.0+2 Oct 25, 2018 Go to the documentation of stats 0.2.0+2 Download stats 0.2.0+2 archive
0.2.0+1 Oct 24, 2018 Go to the documentation of stats 0.2.0+1 Download stats 0.2.0+1 archive
0.2.0 Oct 24, 2018 Go to the documentation of stats 0.2.0 Download stats 0.2.0 archive
0.1.2 Apr 21, 2014 Go to the documentation of stats 0.1.2 Download stats 0.1.2 archive
0.1.1 Feb 20, 2014 Go to the documentation of stats 0.1.1 Download stats 0.1.1 archive
0.1.0 Nov 13, 2013 Go to the documentation of stats 0.1.0 Download stats 0.1.0 archive
0.0.8 Apr 10, 2013 Go to the documentation of stats 0.0.8 Download stats 0.0.8 archive
0.0.7 Mar 26, 2013 Go to the documentation of stats 0.0.7 Download stats 0.0.7 archive
0.0.6 Mar 19, 2013 Go to the documentation of stats 0.0.6 Download stats 0.0.6 archive
0.0.5 Mar 14, 2013 Go to the documentation of stats 0.0.5 Download stats 0.0.5 archive

All 14 versions...

Popularity:
Describes how popular the package is relative to other packages. [more]
29
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
64
Learn more about scoring.

We analyzed this package on Nov 14, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0
  • pana: 0.12.6

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in primary library package:stats/stats.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0
json_annotation >=1.2.0 <3.0.0 2.0.0
Dev dependencies
build_runner ^1.0.0
build_verify ^1.1.0
json_serializable ^2.0.0
pedantic ^1.2.0
test ^1.3.0